Bug 19386 - DBConnection : After disconnecting, 'Connect as' asks for Product (?) & does not use this info
DBConnection : After disconnecting, 'Connect as' asks for Product (?) & does ...
Status: CLOSED INVALID
Product: db
Classification: Unclassified
Component: Code
3.x
Sun Solaris
: P4 (vote)
: 3.x
Assigned To: issues@db
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-11 21:12 UTC by Sakthivel Gopal
Modified: 2003-06-30 17:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sakthivel Gopal 2002-01-11 21:12:23 UTC
After having made a db connection, right click & choose 'Disconnect'
After disconnecting, right click & choose 'Connect As'
In the Connect Dialog, there a JComboBox for "Product', which is not necessary
because the disconnected connection it self has the driver
Also, choosing a wrong product like Informix for MS SQL Server connection does
not make a difference.

The 'Product' information to be chosen is not necessary.
(Also, Control+Click & Shift+Click make the selected item in Combo blank).
Comment 1 Radko Najman 2002-01-15 10:33:24 UTC
There are small but significat differences in DDL syntax between some
databases and SQL-92 standard. Basically Database Explorer generates
SQL-92 compliant commands and if we are able to figure that there is a
difference between standard and database implementation, database
dependent command is generated.

"Connect As..." action is useful in case that it is not possible to
execute generated SQL-92 compliant command. If you know that some
database from the list uses the same syntax as your database you can
choose it from the product combo box and the proper command will be
generated.

In other cases use "Connect" action.
Comment 2 Martin Schovanek 2003-03-12 16:26:45 UTC
VERIFIED
Comment 3 Quality Engineering 2003-06-30 17:17:39 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo